* Fichier de dfinition de SHELL
* (C) Copyright 1997 
* par S.Cocquereaumont

* -----------------------------------------------------------------------------

* Dfinition des flags systmes 

=IntSwitch	EQU	15	Flag de traitement des interruptions
=NoSwitchFlag	EQU	14	Flag d'interdiction du "switching"
=ClockState	EQU	13	Bit de synchronisation avec l'horloge
=AttnKey	EQU	12	Flag de gestion de la touche ON

* -----------------------------------------------------------------------------

* Dfinition des zone de la RAM systme

* RAM systme gnrale (3540q)

Intsave		EQU	#90000	(20q)	Sauvegardes pour le gestionnaire d'int.
=IntVector	EQU	#90014	(7q)	Vecteur d'interruption (GOVLNG)  
RAMInfos	EQU	#9001B	(15q)	Informations sur la RAM 
UnitInfos	EQU	#9002A	(32q)	Informations sur les units
Clocksave	EQU	#9004A	(62q)	Horloge interne
=FontData	EQU	#90088	(1536q)	Fonte d'affichage
=MiscVar	EQU	#90688	(91q)	Variables d'environement gnrales
=VectorTable	EQU	#906E3	(1792q)	Table de 256 vecteurs (GOVLNG)

* RAM systme spcifique (549q)

=FilePtr	EQU	#90DE3	(12q)	Pointeurs sur les fichiers
DisplayInfos	EQU	#90DEF	(26q)	Informations sur l'affichage 
=StackPtr	EQU	#90E09	(5q)	Pointeur de pile
=UserVar	EQU	#90E0E	(512q)	Variables d'environement utilisateur

* Dbut de la RAM utilisateur

=RAMStart	EQU	#9100E		Dbut de la RAM

* -----------------------------------------------------------------------------

* Sauvegardes pour le gestionnaire d'interruptions (20q)

=CsaveIt	EQU	Intsave
=D0saveIt	EQU	(CsaveIt)+5
=PCMSBsaveIt	EQU	(D0saveIt)+5
=RSTKBuffer	EQU	(PCMSBsaveIt)+5

* -----------------------------------------------------------------------------

* Information sur la memoire (15q)

=StartRAMAdr	EQU	RAMInfos
=EndRAMPtr	EQU	(StartRAMAdr)+5	Pointeur sur le dernier octet libre
=FreeRAMPtr	EQU	(EndRAMPtr)+5	Pointeur sur le premier octet libre

* -----------------------------------------------------------------------------

* Information sur les units (32q)

=Unit0Adr	EQU	UnitInfos	@unit 0
=Unit1Adr	EQU	(Unit0Adr)+5	" 1
=Unit2Adr	EQU	(Unit1Adr)+5	" 2
=Unit0Size	EQU	(Unit2Adr)+5	Taille de l'unit 0
=Unit1Size	EQU	(Unit0Size)+5	" 1
=Unit2Size	EQU	(Unit1Size)+5	" 2
=UnitNbr	EQU	(Unit2Size)+5	Nombre d'units disponibles

* -----------------------------------------------------------------------------

* Sauvegardes pour l'horloge interne (62q)

=ClockCtr	EQU	Clocksave		Diviseur d'horloge
=ClockOffset	EQU	(ClockCtr)+2		Date courante en seconde
=ClockBuffer	EQU	(ClockOffset)+16	Sauvegarde pour gestionnaire
=ShowClockFlag	EQU	(ClockBuffer)+16	Flag d'affichage de l'heure 
=AutoOffFlag	EQU	(ShowClockFlag)+1	Flag d'extinction automatique
=AutoOffDelay	EQU	(AutoOffFlag)+1		Delai avant extinction auto 
=AutoOffCtr	EQU	(AutoOffDelay)+5	Compteur extinction auto
=AlarmOffset	EQU	(AutoOffCtr)+5		Date de la prochaine alarme

* -----------------------------------------------------------------------------

* Variables d'environement gnrale (91q)

=MainProgAdr	EQU	MiscVar			Adresse programme premier plan
=CurProgAdr	EQU	(MainProgAdr)+5		Adresse programme excut
=BkgProgAdr	EQU	(CurProgAdr)+5		Adresse programme arrire plan
=CPUSpeed	EQU	(BkgProgAdr)+5		Vitesse du CPU
=BeepFlag	EQU	(CPUSpeed)+5		Commutateur de signal sonore
=BkgScrHeigt	EQU	(BeepFlag)+1		Hauteur cran arrire plan
=ProgCtr	EQU	(BkgScrHeigt)+2		Compteur de programme lancs
=Prog0Adr	EQU	(ProgCtr)+5		Adresse premier programme lanc
=Prog1Adr	EQU	(Prog0Adr)+5		"
=Prog2Adr	EQU	(Prog1Adr)+5		"
=Prog3Adr	EQU	(Prog2Adr)+5		"
=Prog4Adr	EQU	(Prog3Adr)+5		"
=Prog5Adr	EQU	(Prog4Adr)+5		"
=Prog6Adr	EQU	(Prog5Adr)+5		"
=Prog7Adr	EQU	(Prog6Adr)+5		"
=Prog8Adr	EQU	(Prog7Adr)+5		"
=Prog9Adr	EQU	(Prog8Adr)+5		Adresse 10eme programme 
=CursorStyle	EQU	(Prog9Adr)+5		Style du curseur
=CursorBuffer	EQU	(CursorStyle)+1		Sauvegarde image sous le curseur
=ClipbrdAdr	EQU	(CursorBuffer)+6	Adresse du presse papier
=ClipbrdType	EQU	(ClipbrdAdr)+5		Type du presse papier

* -----------------------------------------------------------------------------

* Pointeurs sur les fichiers (12q)

=CurUnit	EQU	FilePtr		Unit courante
=CurDirAdr	EQU	(CurUnit)+2	Repertoire courant
=CurFileAdr	EQU	(CurDirAdr)+5	Fichier courant

* -----------------------------------------------------------------------------

* Informations sur l'affichage (26q)

=AnnBlink	EQU	DisplayInfos	Indicateurs clignotants
=DspScrAdr	EQU	(AnnBlink)+2	Adresse cran affich
=WrkScrAdr	EQU	(DspScrAdr)+5	Adresse cran en cours de construction
=RgtMrg		EQU	(WrkScrAdr)+5	Marge  droite
=CursorFlag	EQU	(RgtMrg)+3	Flag d'affichage du curseur
=CursorX	EQU	(CursorFlag)+1	Coordone X du Curseur
=CursorY	EQU	(CursorX)+5	Coordone Y "

* -----------------------------------------------------------------------------

* Definition des variables d'environement programme

=EnvStart	EQU	00000
=AreaType	EQU	(EnvStart)+5
=KernelAdr	EQU	(AreaType)+2
=BusyFlag	EQU	(KernelAdr)+5
=Csave		EQU	(BusyFlag)+1
=D0save		EQU	(Csave)+16
=PCMSBsave	EQU	(D0save)+5
=Asave		EQU	(PCMSBsave)+5
=D1save		EQU	(Asave)+16
=STsave		EQU	(D1save)+5
=Bsave		EQU	(STsave)+5
=Dsave		EQU	(Bsave)+16
=R0save		EQU	(Dsave)+16
=R1save		EQU	(R0save)+16
=R2save		EQU	(R1save)+16
=R3save		EQU	(R2save)+16
=R4save		EQU	(R3save)+16
=RSTK0save	EQU	(R4save)+16
=RSTK1save	EQU	(RSTK0save)+5
=RSTK2save	EQU	(RSTK1save)+5
=RSTK3save	EQU	(RSTK2save)+5
=RSTK4save	EQU	(RSTK3save)+5
=RSTK5save	EQU	(RSTK4save)+5
=RSTK6save	EQU	(RSTK5save)+5
=AnnCtrlsave	EQU	(RSTK6save)+5
=LftMrgsave	EQU	(AnnCtrlsave)+2
=SysRAMsave	EQU	(LftMrgsave)+1
=UserStack	EQU	(SysRAMsave)+549
=Scrn1		EQU	(UserStack)+256+1		Parit...
=Scrn2		EQU	(Scrn1)+2176
=ProgramName	EQU	(Scrn2)+2176
=EnvSize	EQU	ProgramName

* -----------------------------------------------------------------------------

* Definition des variables d'environement de la console

=PromptChr	EQU	UserVar
=CnslBuffer	EQU	(PromptChr)+2

* -----------------------------------------------------------------------------
